#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  Apr-1.7.0

- Next

  Aspell-0.60.8

- Up
- Home

# Apr-Util-1.6.1

## Introduction to Apr Util

The Apache Portable Runtime Utility Library provides a predictable and consistent interface to underlying client library interfaces. This application programming interface assures predictable if not identical behaviour regardless of which libraries are available on a given platform.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://archive.apache.org/dist/apr/apr-util-1.6.1.tar.bz2

- Download (FTP): ftp://ftp.mirrorservice.org/sites/ftp.apache.org/apr/apr-util-1.6.1.tar.bz2

- Download MD5 sum: 8ff5dc36fa39a2a3db1df196d3ed6086

- Download size: 420 KB

- Estimated disk space required: 6.5 MB (add 1.4 MB for tests)

- Estimated build time: less than 0.1 SBU (add 0.3 SBU for tests)

### Apr Util Dependencies

#### Required

Apr-1.7.0

#### Optional

Berkeley DB-5.3.28, FreeTDS, MariaDB-10.5.8 or MySQL, OpenLDAP-2.4.57, PostgreSQL-13.2, SQLite-3.34.1 and unixODBC-2.3.9

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/apr-util

## Installation of Apr Util

Install Apr Util by running the following commands:

    ./configure --prefix=/usr       \
                --with-apr=/usr     \
                --with-gdbm=/usr    \
                --with-openssl=/usr \
                --with-crypto &&
    make

To test the results, issue: make -j1 test. One test, testdbm, is known to fail.

Now, as the `root` user:

    make install

## Command Explanations

`--with-gdbm=/usr`: This switch enables the `apr_dbm_gdbm-1.so` plugin.

`--with-openssl=/usr --with-crypto`: These switches enable the `apr_crypto_openssl-1.so` plugin.

`--with-berkeley-db=/usr`: If you have installed Berkeley DB-5.3.28, use this switch to compile the `apr_dbm_db-1.so` plugin.

`--with-ldap`: If you have installed OpenLDAP-2.4.57, use this switch to compile the `apr_ldap.so` plugin.

## Contents

Installed Program: apu-1-config
Installed Library: libaprutil-1.so
Installed Directory: /usr/lib/apr-util-1

### Short Descriptions

apu-1-config | is an APR-util script designed to allow easy command line access to APR-util configuration parameters
`libaprutil-1.so` | contains functions that provide a predictable and consistent interface to underlying client library interfaces

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  Apr-1.7.0

- Next

  Aspell-0.60.8

- Up
- Home